<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class AnmeldedatenSelectorElternKind50SofortEinbuchen extends AnmeldedatenSelectorElternKind50
{
  protected function _fillAbwBankDaten4Belegung($pBelegung)
  {
    $bankdatenKlasse = new FillAbwBankDaten4BelegungSofortEinbuchen($this->getArgument());

    return $bankdatenKlasse->fillAbwBankDaten($pBelegung);
  }

  public function getAnmeldedaten($argument)
  {
    $anmeldedaten = parent::getAnmeldedaten($argument);
    $this->fillEPayInfo($anmeldedaten);

    return $anmeldedaten;
  }

  protected function fillInfo2Doz4Belegung($pBelegung)
  {
    $pBelegung->info2doz = $this->getArgumentKursInfoValue('info2doz');

    return $pBelegung;
  }

  protected function fillInfo2Doz4BelegungElternKind($pBelegung)
  {
    $pBelegung->info2doz = $this->getArgumentKursInfoValue('info2doz');

    return $pBelegung;
  }

  protected function fillNurOnline4Belegung($pBelegung)
  {
    $pBelegung->nuronline = $this->getArgumentKursInfoValue('nuronline');

    return $pBelegung;
  }

  protected function fillNurOnline4BelegungElternKind($pBelegung)
  {
    $pBelegung->nuronline = $this->getArgumentKursInfoValue('nuronline');

    return $pBelegung;
  }
}